Debian Bug report logs - #457930
Possibly wrong code on hppa/ia64

version graph

Package: ffcall; Maintainer for ffcall is Christoph Egger <christoph@debian.org>;

Reported by: Martin Michlmayr <tbm@cyrius.com>

Date: Thu, 27 Dec 2007 10:54:01 UTC

Severity: normal

Found in version 1.10+2.41-3

Forwarded to https://savannah.gnu.org/bugs/?22095

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Hubert Chan <uhoreg@debian.org>:
Bug#457930; Package ffcall. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
New Bug report received and forwarded. Copy sent to Hubert Chan <uhoreg@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: submit@bugs.debian.org
Subject: Possibly wrong code on hppa/ia64
Date: Thu, 27 Dec 2007 11:52:08 +0100
Package: ffcall
Version: 1.10+2.41-3

I recently compiled ffcall with a snapshot for 4.3 on hppa and got an
internal compiler error.  Upstream fixed this bug, but he also had
some comments about ffcall (namely about trampoline.c):

"I have to say that the code in the original testcase is probably very
wrong for hppa.  Like ia64, function pointers point to function
descriptors (when the plabel bit is set).  The function descriptor
also may point to a stub and not the function code."
(this is from <http://gcc.gnu.org/bugzilla/show_bug.cgi?id=34525>)

Maybe that's something you can investigate; hopefully the ia64 and
hppa porters can provide some help.
-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Hubert Chan <uhoreg@debian.org>:
Bug#457930; Package ffcall. Full text and rfc822 format available.

Acknowledgement sent to Hubert Chathi <INVALID.NOREPLY@gnu.org>:
Extra info received and forwarded to list. Copy sent to Hubert Chan <uhoreg@debian.org>. Full text and rfc822 format available.

Message #10 received at 457930@bugs.debian.org (full text, mbox):

From: Hubert Chathi <INVALID.NOREPLY@gnu.org>
To: 457930@bugs.debian.org, Hubert Chathi <hubert@uhoreg.ca>, Sam Steingold <sds@gnu.org>
Subject: [bug #22095] Possibly wrong code on hppa/ia64
Date: Wed, 23 Jan 2008 21:10:56 +0000
URL:
  <http://savannah.gnu.org/bugs/?22095>

                 Summary: Possibly wrong code on hppa/ia64
                 Project: libffcall - foreign function call libraries
            Submitted by: uhoreg
            Submitted on: Wednesday 01/23/2008 at 16:10
                Category: None
                Severity: 3 - Normal
              Item Group: None
                  Status: None
                 Privacy: Public
             Assigned to: None
             Open/Closed: Open
         Discussion Lock: Any

    _______________________________________________________

Details:

I received the following bug report via the Debian Bug Tracking System
(http://bugs.debian.org/457930):

I recently compiled ffcall with a snapshot for 4.3 on hppa and got an
internal compiler error.  Upstream fixed this bug, but he also had
some comments about ffcall (namely about trampoline.c):

"I have to say that the code in the original testcase is probably very
wrong for hppa.  Like ia64, function pointers point to function
descriptors (when the plabel bit is set).  The function descriptor
also may point to a stub and not the function code."
(this is from <http://gcc.gnu.org/bugzilla/show_bug.cgi?id=34525>)

Maybe that's something you can investigate; hopefully the ia64 and
hppa porters can provide some help.




    _______________________________________________________

Reply to this item at:

  <http://savannah.gnu.org/bugs/?22095>

_______________________________________________
  Message sent via/by Savannah
  http://savannah.gnu.org/





Noted your statement that Bug has been forwarded to https://savannah.gnu.org/bugs/?22095. Request was from Hubert Chathi <uhoreg@debian.org> to control@bugs.debian.org. (Wed, 23 Jan 2008 21:30:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Hubert Chan <uhoreg@debian.org>:
Bug#457930; Package ffcall. Full text and rfc822 format available.

Acknowledgement sent to Sam Steingold <INVALID.NOREPLY@gnu.org>:
Extra info received and forwarded to list. Copy sent to Hubert Chan <uhoreg@debian.org>. Full text and rfc822 format available.

Message #17 received at 457930@bugs.debian.org (full text, mbox):

From: Sam Steingold <INVALID.NOREPLY@gnu.org>
To: Bruno Haible <bruno@clisp.org>, Sam Steingold <sds@gnu.org>, 457930@bugs.debian.org, Hubert Chathi <hubert@uhoreg.ca>
Subject: [bug #22095] Possibly wrong code on hppa/ia64
Date: Sun, 27 Jan 2008 05:35:25 +0000
Update of bug #22095 (project libffcall):

             Assigned to:                    None => haible                 


    _______________________________________________________

Reply to this item at:

  <http://savannah.gnu.org/bugs/?22095>

_______________________________________________
  Message sent via/by Savannah
  http://savannah.gnu.org/





Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 21:40:27 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.